image: node:20.11

variables:
  DOCKER_DRIVER: overlay2

services:
  - docker:dind

stages:
  - install
  - build
  - deploy

cache:
  key: nodeDoc
  paths:
    - node_modules

job_install:
  stage: install
  tags:
    - nodeRunner
  script:
    - npm install


job_build:
  stage: build
  tags:
    - nodeRunner
  script:
    - npm run build-ts



job_deploy:
  stage: deploy
  tags:
    - nodeRunner
  image: docker
  script:
    - docker build -t his-koa:1.0 .
    - docker images
    - docker stop his-koa-container || true
    - docker rm his-koa-container || true
    - docker run -d -p 8082:80 --name his-koa-container his-koa:1.0


